CUDA Driver API (PDF) - v9.1.85 (older) - Last updated November 3, 2017 - Send Feedback

## 5.8. CUDA_RESOURCE_DESC Struct Reference

## [Data types used by CUDA driver]

CUDA Resource descriptor

### Public Variables

CUdeviceptr devPtr
unsigned int flags
CUarray_format format
CUarray hArray
CUmipmappedArray hMipmappedArray
size_t height
unsigned int numChannels
size_t pitchInBytes
CUresourcetype resType
size_t sizeInBytes
size_t width

### Variables

CUdeviceptr CUDA_RESOURCE_DESC::devPtr [inherited]

  Device pointer

unsigned int CUDA_RESOURCE_DESC::flags [inherited]

  Flags (must be zero)

CUarray_format CUDA_RESOURCE_DESC::format [inherited]

  Array format

CUarray CUDA_RESOURCE_DESC::hArray [inherited]

  CUDA array

CUmipmappedArray CUDA_RESOURCE_DESC::hMipmappedArray [inherited]

  CUDA mipmapped array

size_t CUDA_RESOURCE_DESC::height [inherited]

  Height of the array in elements

unsigned int CUDA_RESOURCE_DESC::numChannels [inherited]

  Channels per array element

size_t CUDA_RESOURCE_DESC::pitchInBytes [inherited]

  Pitch between two rows in bytes

CUresourcetype CUDA_RESOURCE_DESC::resType [inherited]

  Resource type

size_t CUDA_RESOURCE_DESC::sizeInBytes [inherited]

  Size in bytes

size_t CUDA_RESOURCE_DESC::width [inherited]

  Width of the array in elements